__author__ = 'Jirka'
a = [1,2,3,4]
b = [7,5,3,2]

import matplotlib.pyplot as plt

plt.figure()
plt.plot(a)
plt.plot(b)

# nove pole
c = [1,6,7,8]
plt.plot(c,a)

import json
json_data = open('sample.dat')
data = json.load(json_data)
print data
plt.plot(data['time'],data['V1'])

from pyfmi import load_fmu
model = load_fmu('DvaBalony2_DvaBalonyFlat.fmu')
results = model.simulate(final_time=10)
plt.plot(results['time'],results['V1'])

def drange(start,stop,step):
    r =start
    while r<stop:
        yield r
        r+=step

opts = model.simulate_options()
opts["ncp"]= 100
import sys
volumemin = sys.float_info.max
for resistance in drange(0.1,6, 0.1):
    for elastance in drange(0.1,3,0.1):
        model.reset()
        model.set('R',resistance)
        model.set('E1',elastance)
        results = model.simulate(final_time=10,options=opts)
        volumediff = sum((results['V1']-data['V1'])**2)
        if volumemin>volumediff:
            volumemin=volumediff
            minresults=results
            minR = resistance
            minE = elastance

        #plt.plot(results['time'],results['V1'])

plt.plot(minresults['time'],minresults['V1'])
print minR, minE, volumemin

plt.show()