__author__ = 'tomaton'
# Import the load function (load_fmu)
from pyfmi import load_fmu
import matplotlib.pyplot as plt


#Load the FMU
fig = plt.figure()

model = load_fmu('DvaBalony2_DvaBalonyFlat.fmu')


#Simulate multiple times FMU and change parameters of it and compute norm from sample data
def drange(start,stop,step):
    r = start
    while r<stop:
        yield r
        r+=step

for elastance in drange (0.1,3,0.1):
    for resistance in drange(0.1, 6, 0.1):
        model.reset()
        model.set('R',resistance)
        model.set('E1',elastance)
        res2 = model.simulate(final_time=10)

        plt.plot(res2['time'],res2['V1'])
        plt.plot(res2['time'],res2['V2'])
#model.get_log()
plt.show()

