__author__ = 'tomaton'
# Import the load function (load_fmu)
from pyfmi import load_fmu
import matplotlib.pyplot as plt
import json
import numpy.random as rnd

#Load the FMU
fig = plt.figure()

model = load_fmu('DvaBalony2_DvaBalonyFlat.fmu')
opts = model.simulate_options()
opts["ncp"] = 100 #One hundred output points

model.set('R',1.2)
model.set('E1',1.3)
#Simulate an FMU
res = model.simulate(final_time=10,options=opts)
ra = rnd.random(res['V1'].size)*10-5;
#show data
plt.plot(res['time'],res['V1']+ra)
plt.plot(res['time'],res['V2']+ra)

with open('sample.dat','w') as outfile:
    outfile.write(json.dumps({'time':res['time'].tolist(),'V1':(res['V1']+ra).tolist(), 'V2':(res['V2']+ra).tolist()},outfile,indent=2))
plt.show()
